Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2018-11-03 19:19:31

jayrope
Plugin Author
From: Berlin
Registered: 2006-07-06
Posts: 638
Website

SOLVED: 4.0.5 -> 4.7.1 update problem

After updating from 4.0.5 to 4.7.1 i can’t see neither backend nor frontend.
Frontend gives me “unknown section”.
Backend reports errors:
“Warning “include(/xxx/www/textpattern/update/_to_1.0.0.php): failed to open stream: No such file or directory”
in /xxx/www/textpattern/update/_update.php at line 91.

textpattern/lib/txplib_misc.php:1715 adminErrorHandler()
textpattern/update/_update.php:91 updateErrorHandler()
textpattern/update/_update.php:91 include()
textpattern/index.php:214 include()

User_Error “Unknown column ‘user_name’ in ‘where clause’”
in /xxx/www/textpattern/lib/txplib_db.php at line 410.

textpattern/lib/txplib_misc.php:1715 adminErrorHandler()
updateErrorHandler()
textpattern/lib/txplib_db.php:410 trigger_error()
textpattern/lib/txplib_db.php:829 safe_query()
textpattern/lib/txplib_misc.php:4795 safe_field()
textpattern/vendors/Textpattern/L10n/Lang.php:244 get_pref()
textpattern/update/_update.php:114 Textpattern\L10n\Lang->available()
textpattern/index.php:214 include()

What can be done there? Thanx much in advance, I know it’s a rare case.
Client came back after ten years, because his hoster updated from PHP 5.3 to 7.2.

EDIT: Unfortunately i have no option to downgrade mysql to 5.3 again. The hoster doesn’t allow that. Otherwise i could do, what Gallex did in this thread.

Last edited by jayrope (2018-11-03 21:53:29)


a hole turned upside down is a dome, though only when there’s gravity.

Offline

#2 2018-11-03 20:25:58

etc
Developer
Registered: 2010-11-11
Posts: 3,086
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

You can try to pick the whole update folder from 4.7.2, it shouldn’t go beyond 4.7.1 anyway.

Edit: this is weird : Warning “include(/xxx/www/textpattern/update/_to_1.0.0.php): failed to open stream. Normally, you don’t need 1.0.0 when updating from 4.0.5, check version value in txp_prefs table if you can. _to_1.0.0.php file is not included in the folder, but you can create an empty one to please the update script.


etc_[ query | search | pagination | date | tree | cache ]

Offline

#3 2018-11-03 20:38:23

etc
Developer
Registered: 2010-11-11
Posts: 3,086
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

Or rather pick just 4.6.0 to be prudent.


etc_[ query | search | pagination | date | tree | cache ]

Offline

#4 2018-11-03 20:41:21

jayrope
Plugin Author
From: Berlin
Registered: 2006-07-06
Posts: 638
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

etc wrote #314898:


Edit: this is weird : Warning “include(/xxx/www/textpattern/update/_to_1.0.0.php): failed to open stream. Normally, you don’t need 1.0.0 when updating from 4.0.5, check version value in txp_prefs table if you can. _to_1.0.0.php file is not included in the folder, but you can create an empty one to please the update script.

Thank you, etc. Which value exactly from txp_prefs table? TXP version still says 4.0.5 there.

And regarding the update.php scripts, are you proposing to only run /textpattern/_to_4.6.0.php from the 4.72 repository on it’s own?

Last edited by jayrope (2018-11-03 20:50:31)


a hole turned upside down is a dome, though only when there’s gravity.

Offline

#5 2018-11-03 20:48:32

etc
Developer
Registered: 2010-11-11
Posts: 3,086
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

Search for name = 'version'. And forget about that, rather try this.


etc_[ query | search | pagination | date | tree | cache ]

Offline

#6 2018-11-03 20:52:19

jayrope
Plugin Author
From: Berlin
Registered: 2006-07-06
Posts: 638
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

TXP prefs: version says 4.0.5 there.

And regarding the update.php scripts, are you proposing to directly run /textpattern/_to_4.6.0.php from the 4.72 repository on it’s own?


a hole turned upside down is a dome, though only when there’s gravity.

Offline

#7 2018-11-03 20:57:08

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,173

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

gaekwad wrote #311659:

tl;dr – upgrade pre-4.2.0 Textpattern to 4.2.0, then upgrade to the current version

Additional to all Oleg/etc’s info: jayrope, did you do it this way?


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#8 2018-11-03 20:59:23

etc
Developer
Registered: 2010-11-11
Posts: 3,086
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

jayrope wrote #314903:

TXP prefs: version says 4.0.5 there.

And regarding the update.php scripts, are you proposing to directly run /textpattern/_to_4.6.0.php from the 4.72 repository on it’s own?

No, just replace _to_4.6.0.php in your 4.7.1 /textpattern/update folder by this from 4.7.2, then go to admin part. Since your version is lower than 4.7.1, the update script should run again.


etc_[ query | search | pagination | date | tree | cache ]

Offline

#9 2018-11-03 21:03:26

jayrope
Plugin Author
From: Berlin
Registered: 2006-07-06
Posts: 638
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

FIX:
made two empty files, _to_1.0.0.php and _to_4.0.2.php in update folder.
Then ran /textpattern/update/update.php directly.
Backend shows up, no errors, txp_prefs says 4.7.1

Will examine further.
THANK YOU, etc and Uli.

EDIT: i DID replace the _to_4.6.0.php before running the updater.

Last edited by jayrope (2018-11-03 21:06:50)


a hole turned upside down is a dome, though only when there’s gravity.

Offline

#10 2018-11-03 21:06:06

etc
Developer
Registered: 2010-11-11
Posts: 3,086
Website

Re: SOLVED: 4.0.5 -> 4.7.1 update problem

uli wrote #314904:

upgrade pre-4.2.0 Textpattern to 4.2.0, then upgrade to the current version

oh, forgot about this and don’t remember why is it so, sorry.


etc_[ query | search | pagination | date | tree | cache ]

Offline

Board footer

Powered by FluxBB